#docker-compose.yml

version: "3.3"
services:

  wordpress_luftglanz:
   image: wordpress:php8.0
   container_name: wordpress_luftglanz
   restart: unless-stopped
   ports:
    - "8087:80"
   volumes:
    - /home/icke/wordpress_luftglanz/:/var/www/html
    - /home/icke/wordpress_luftglanz/uploads.ini:/usr/local/etc/php/conf.d/uploads.ini
   links:
    - mysql-wordpress_luftglanz
   environment:
    WORDPRESS_DB_HOST: mysql-wordpress_luftglanz
    WORDPRESS_DB_USER: wordpress
    WORDPRESS_DB_NAME: wordpress_luftglanz
    WORDPRESS_DB_PASSWORD: eccmts42*
#   networks:
#     wordpress_wiki:
#       ipv4_address: 172.23.0.2

  mysql-wordpress_luftglanz:
    image: mariadb:10.6
    container_name: mysql-wordpress_luftglanz
    environment:
#     - default-authentication-plugin=mysql_native_password
     - MYSQL_ROOT_PASSWORD=eccmts42*
     - MYSQL_DATABASE=wordpress_luftglanz
     - MYSQL_USER=wordpress
     - MYSQL_PASSWORD=eccmts42*
    volumes:
     - /home/icke/mysql-wordpress_luftglanz/var:/var/lib/mysql
    restart: unless-stopped
